.form-fieldset-revert{
    margin-left:auto;
    display: none;
    .btn-round.btn-small{
        height:1.3rem;
        width:1.3rem;
        line-height: 1.3rem;
        i{
            color:#ccc;
            font-size:1rem;
        }
        &:hover i{
            color:#000;
        }
    }
}

.form-fieldset-changed .form-fieldset-revert {
    display: flex;
}

.form-fieldset-collapse{
    background:none;
    margin:0 10px 0 6px;
    font-size:1.3rem;
}

.form-field {
    display: table;
    width:100%;
    table-layout: fixed;
    position: relative;
    border-bottom:1px solid #ddd;
    padding:.9em 0;
}

.form-field-description {
    position: absolute;
    top: 15px;
    left: 0px;
}

.form-field-description-icon {
    width: 16px;
    height: 16px;
    &:hover{
        color:$primary-color;
    }
}

.form-field-description-message {
    display: none;
    position: absolute;
    top: -5px;
    left: 23px;
    background: white;
    padding: 7px 10px;
    z-index: 1;
    min-width: 200px;
    @include box-shadow(-1px 1px 2px rgba(0,0,0,0.15));
    border:1px solid #bbb;
    text-align: left;
    color: #333;
    font-weight: normal;
    line-height: 1.5;
    &:before,&:after{
        content:"";
        position: absolute;
        width: 0; 
        height: 0; 
        top:8px;
        left:-6px;
        border-top: 6px solid transparent;
        border-bottom: 6px solid transparent; 
        border-right:6px solid white; 
        background:none;
    }
    &:before{
        z-index:10;
    }
    &:after{
        z-index:9;
        border-right-color:#999;
        left:-7px;
    }
    ul{
        margin-left:20px;
    }
}

.form-field-description:focus .form-field-description-message,
.form-field-description:hover .form-field-description-message {
    display: block;
}

.form-field_label {
    width: 36%;
    display: table-cell;
    vertical-align: top;
    @include box-sizing(border-box);
    &.form-field-label-empty{
        display: none;
    }
}

.form-field-label-description-visible{
    padding-left:1.6em;
}

.form-field-value, .form-field-input-wrapper{
    display: table-cell;
    width:64%;
}

.form-field-value {
    display: table-cell;
    vertical-align: top;
}

.form-field-input{
    width:100%;
     > label{
        display: block;
    }
    input[type=text],
    input[type=number],
    input[type=email],
    input[type=url]{
        width:100%;
    }
    .form-fieldset > .form-fieldset-children > .form-field{
        table-layout: auto;
    }
    .form-fieldset > .form-fieldset-children > .form-field > .form-field-input{
        width:auto;
    }
    input[type=password]{
        min-width:250px;
    }
}

.form-field-revert{
    display: none;
}

.form-fieldset-meta{
    border-bottom:1px solid #ccc;
    padding:0 0 15px;
}

.form-fieldset-header{
    font-weight:500;
    font-size:1.25em;
    margin: 20px 0;
    position:relative;
}

.form-fieldset-actions{
    padding:15px 0 0;
}

.form-fieldset-collapsed{
    .form-fieldset-desc,.form-fieldset-actions{
        display: none;
    }
    .form-fieldset-meta{
        padding-bottom:5px;
    }
}

.form-field-button-list{
    padding:15px 0;
    button {
        margin-right: 15px;
    }
}


.form-action {
    display: inline-block;
    margin-right:8px !important;
}

.form-action:last-child {
    margin-right: 0 !important;
}

.form-file-list{
    margin:0 0 8px;
    .form-file-list-item{
    list-style:none;
    padding:0 0 5px;
        .form-file-list-item-remove{
            margin:0 0 0 3px;
            background: transparent;
        }
    }
}

.checkbox-list{
    list-style:none;
    ~ .button{
        margin-top:10px;
    }
}

.date-range-list{
    left:0;
}

.date-range-list-item .icon-ok {
    visibility: hidden;
}

.date-range-list-item-active .icon-ok {
    visibility: visible;
}

.form-field-date-range-component button{
    span,i{vertical-align:middle;}
    i{
        margin-right:3px;
        font-size:12px;
    }
}

.form-field.form-field-name-rol{
    padding-top:4px !important;
}

.form-field-name-coordinator_organisatorische_eenheid,
.form-field-name-behandelaar_organisatorische_eenheid{
    .form-field_label{
        display: block;
        width:100%;
    }
}

.form-field-status-pristine{
    display: none;
}

.password-strength-indicator{
    position:absolute;
    right:10px;
    top:18px;
}

.form-field-name-confirm_password .form-field-status-valid .form-field-status-indicator:after{
    font-family: 'FontAwesome';
    content: "\f00c";
    width:10px;
    height:10px;
    display: inline-block;
    position:absolute;
    right:15px;
    color:$icon-green;
    top:50%;
    margin-top:-10px;
    font-size:16px;
}

.password-strength-indicator-invalid{
    .password-strength-indicator-label{
        color:#ccc;
    }
}

.password-strength-indicator-weak{
    .password-strength-indicator-bar-filled{
        background:$icon-red;
        width:33%;
    }
}

.password-strength-indicator-good{
    .password-strength-indicator-bar-filled{
        background:$icon-orange;
        width:66%;
    }
}

.password-strength-indicator-strong{
    .password-strength-indicator-bar-filled{
        background:$icon-green;
        width:100%;
    }
}

.password-strength-indicator-bar,.password-strength-indicator-bar-filled{
    height:10px;
     @include border-radius(3px);
}

.password-strength-indicator-bar-filled{
    @include transition(width 300ms);
}

.password-strength-indicator-bar,
.password-strength-indicator-label{
    display: inline-block;
}

.password-strength-indicator-bar{
    background:#eee;
    width:70px;
    margin-right:5px;
}

.password-strength-indicator-label{
    font-size:.9em;
}

.form-field-type-org-unit-list{
    list-style: none;
}

.form-field-type-org-unit-list-item{
    margin-bottom:10px;
    padding:0 0 10px;
    border-bottom:1px solid #ddd;
    position:relative;
}

.org-unit-picker-part{
    padding:3px 0;
    display: flex;
    width:100%;
    select{
        font-size:.85rem;
        width:100%;
    }
}

.org-unit-picker-part-title{
    width:70px;
    margin-right:5px;
}

.form-field-type-org-unit-list-item-picker-remove{
    background: none;
    position: absolute;
    right:4px;
    top:2px;
    .mdi{
        color:#777;
        font-size:1rem;
        &:hover{
            color:#000;
        }
    }
}


.form-field-status-invalid{
    .form-field-status-message{
        margin-top:10px;
        border: 1px solid red;
        line-height: 1.6;
        padding: 3px 10px;
        float: left;
        width: 100%;
        background: #f4e1de;
        font-weight: normal;
        @include box-sizing(border-box);
        &:before{
            content: "\f057";
            font-family: 'FontAwesome';
            margin-right:8px;
            color:red;
        }
    }
}

.form-field-status-valid{
    .form-field-status-message{
        display: none;
    }
}

.form-field-type-multiple {
    .form-fieldset-actions,
    .form-field-button-list {
        display: none;
    }
    .form-status {
        display: none;
    }
}

.form-field-type-multiple{
    li{
        list-style: none;
        padding:.5em 1.5em .5em 1.5em;
        border:1px solid #ddd;
        background: #f6f6f6;
        margin-bottom:15px;
        position: relative;
    }
    .form-fieldset{
        margin-bottom:0 !important;
    }
    .form-field:last-child{
        border-bottom:0;
    }
}

.form-field-type-multiple-remove{
    position: absolute;
    top:-2px;
    right:0px;
    .mdi{
        color:#999;
        font-size:1.2em;
        &:hover{
            color:black;
        }
    }
}

/* Hide not-really-hidden field, ZS-14020 */
.contact-alternative-authenicatie-wijzigen {
    .form-field-name-subject_type {
        display: none;
    }
}
